Bug 64159 - fsck under 2.4.18 kernel trashes file system
fsck under 2.4.18 kernel trashes file system
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
7.1
alpha Linux
medium Severity high
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-26 16:27 EDT by steve
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-26 16:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description steve 2002-04-26 16:27:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.18 alpha)

Description of problem:
I *had* an ext2 file system on an alpha running 7.1 w/ a 2.4.18 kernel. On a
reboot where it needed to check the filesystem, it corrupted the system worse,
removing most files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install 2.4.18 kernel on RedHat 7.1
2.Boot system with 2.4.18 kernel
3.Run fsck on a large, unclean filesystem
(I avoid doing this, the consequences are pretty dire. I boot the canned kernel,
which stays alive long enough to fsck the system and do a clean shut down.)

Actual Results:  Many error messages about partial block reads, many more errors
then actually present, and many lost files as a result.

Expected Results:  Running the same fsck under the 2.4.9 kernel binary from the
updates area seems safe and correct. Unfortunately, those kernels are unstable
on my PC164/srm machine.

Additional info:

The e2fsprogs is from the RedHat 7.1 CD.
The kernel is 2.4.18 from the pristine sources. The system is otherwise (running
this kernel) stable, with no trouble accessing the files. The file systems are
not very large, a couple gig.

This problem has been mentioned (and experienced) by others on the axp-list
mailing list.
Comment 1 Florian La Roche 2002-08-02 04:25:42 EDT
e2fsprogs 1.27 has quite a few fixes for alpha/ia64. You might want to
upgrade to this version and see if that cures e2fsck problems. If the kernel
is not working on your machine, please open a bug-report against the kernel
for this.

Thanks a lot,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.